powerflutter_code_generation 0.1.1
powerflutter_code_generation: ^0.1.1 copied to clipboard

Code Generation for Powerflutter for Models, Assets and more use as dev_dependency and add annotations to your code

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add powerflutter_code_generation

With Flutter:

 $ flutter pub add powerflutter_code_generation

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  powerflutter_code_generation: ^0.1.1

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:powerflutter_code_generation/powerflutter_code_generation.dart';
0
likes
60
pub points
0%
popularity

Code Generation for Powerflutter for Models, Assets and more use as dev_dependency and add annotations to your code

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

flutter, powerflutter, source_gen

More

Packages that depend on powerflutter_code_generation